<? 
require_once('../../conf/connection.php');

$numero = $_POST["numero"];
$sucu =$_POST["sucu"];
$fecha_an = $_POST["fecha_an"]; 
$hrs_an = $_POST["hrs_an"];  
$tipo = $_POST["tipo"];
switch ($tipo) {
				   case 1:
                        $obs="Por cambio de producto.";
                   break;
				    case 2:
                        $obs="Por Devolución de producto. .";
                   break; 
            }

if($numero<>""){
	
	     //buscar informacion de pedido
		 $query_pro="SELECT * FROM tp_doc  WHERE sucu='$sucu' AND numero='$numero'";
		 $rs_query_pro=mysql_query($query_pro);
		 $pedido=mysql_result($rs_query_pro,0,"pedido");
		 
		 $query_pedido="SELECT * FROM detalles_pedido  WHERE sucu='$sucu' AND numero='$pedido'";
		 $rs_query_pedido=mysql_query($query_pedido);
		 $cod=mysql_result($rs_query_pedido,0,"codarticulo");
		 $cantidad=mysql_result($rs_query_pedido,0,"cantidad");	 
		 //sumamos producto.
		 $sel_articulos="UPDATE articulos SET stock=(stock+'$cantidad') WHERE referencia='$cod'";
		 $rs_articulos=mysql_query($sel_articulos);

		 //cambiamos el valor total del productos.
		 $sel_articulos="UPDATE tp_doc SET valor_total='0', est='NULA' WHERE sucu='$sucu' AND numero='$numero'";
		 $rs_articulos=mysql_query($sel_articulos);


		 //cartola historica de producto. 
		 
		 $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido,sucu)  	
		  VALUES ('','$fecha_an','8','INGRESO POR ANULACION','$cantidad','','$cod','$pedido','$sucu')";					
	      $rs_operacion=mysql_query($query_operacion);
		 
		 //registramos en reg_anulacion 
		 $insertar="insert into reg_anular (idanular, n_doc, fecha, hora, tipo, obs,sucu) 
		 values (";
		 $insertar.="\"\", \"$numero\",\"$fecha_an\",\"$hrs_an\",\"$tipo\",\"$obs\",\"$sucu\")";       
        
//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			

			?> <script> alert("Documento registrado, con éxito! ");window.close(); </script>

<? }else{?><script>alert("Existen campos vacíos, verifique la información...");window.close();</script> <? } ?> 
